Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.confirmation
Class ImageCaptchaConfirmationStrategy

    java.lang.Object
      net.sourceforge.pebble.confirmation.AbstractConfirmationStrategy
          net.sourceforge.pebble.confirmation.ImageCaptchaConfirmationStrategy

All Implemented Interfaces:
  CommentConfirmationStrategy, ConfirmationStrategy, TrackBackConfirmationStrategy

    public class ImageCaptchaConfirmationStrategy

extends AbstractConfirmationStrategy

Image captcha comment confirmation strategy.

Author:
  Simon Brown

Field Summary

Fields inherited from class net.sourceforge.pebble.confirmation.AbstractConfirmationStrategy
`REQUIRED_KEY`

Constructor Summary
`ImageCaptchaConfirmationStrategy()`

Method Summary
`java.lang.String` | `getUri()` Gets the URI of the confirmation page.
`boolean` | `isConfirmed(HttpServletRequest request)` Called to determine whether confirmation was successful.
`void` | `setupConfirmation(HttpServletRequest request)` Called before showing the confirmation page.

Methods inherited from class net.sourceforge.pebble.confirmation.AbstractConfirmationStrategy
`confirmationRequired, confirmationRequired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageCaptchaConfirmationStrategy

    public ImageCaptchaConfirmationStrategy()

Method Detail

### setupConfirmation

    public void setupConfirmation(HttpServletRequest request)

  Called before showing the confirmation page.

  Parameters:
    `request` - the HttpServletRequest used in the confirmation

### getUri

    public java.lang.String getUri()

  Gets the URI of the confirmation page.

  Returns:
    a URI, relative to the web application root.

### isConfirmed

    public boolean isConfirmed(HttpServletRequest request)

  Called to determine whether confirmation was successful.

  Parameters:
    `request` - the HttpServletRequest used in the confirmation
  Returns:
    true if the confirmation was successful, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.